diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.39/src/wimax/model/simple-ofdm-wimax-phy.cc ns-3.40/src/wimax/model/simple-ofdm-wimax-phy.cc
--- ns-3.39/src/wimax/model/simple-ofdm-wimax-phy.cc	2023-07-05 14:23:48.137428500 -0700
+++ ns-3.40/src/wimax/model/simple-ofdm-wimax-phy.cc	2023-09-27 13:30:37.930839800 -0700
@@ -273,7 +273,7 @@
 void
 SimpleOfdmWimaxPhy::Send(SendParams* params)
 {
-    OfdmSendParams* o_params = dynamic_cast<OfdmSendParams*>(params);
+    auto o_params = dynamic_cast<OfdmSendParams*>(params);
     NS_ASSERT(o_params != nullptr);
     Send(o_params->GetBurst(),
          (WimaxPhy::ModulationType)o_params->GetModulationType(),
@@ -309,7 +309,7 @@
                                            uint8_t direction)
 {
     SetState(PHY_STATE_TX);
-    bool isLastFecBlock = 0;
+    bool isLastFecBlock = false;
     if (isFirstBlock)
     {
         m_blockTime = GetBlockTransmissionTime(modulationType);
@@ -496,20 +496,20 @@
 Bvec
 SimpleOfdmWimaxPhy::ConvertBurstToBits(Ptr<const PacketBurst> burst)
 {
-    Bvec buffer(burst->GetSize() * 8, 0);
+    Bvec buffer(burst->GetSize() * 8, false);
 
     std::list<Ptr<Packet>> packets = burst->GetPackets();
 
     uint32_t j = 0;
-    for (std::list<Ptr<Packet>>::iterator iter = packets.begin(); iter != packets.end(); ++iter)
+    for (auto iter = packets.begin(); iter != packets.end(); ++iter)
     {
         Ptr<Packet> packet = *iter;
-        uint8_t* pstart = (uint8_t*)std::malloc(packet->GetSize());
+        auto pstart = (uint8_t*)std::malloc(packet->GetSize());
         std::memset(pstart, 0, packet->GetSize());
         packet->CopyData(pstart, packet->GetSize());
         Bvec temp(8);
-        temp.resize(0, 0);
-        temp.resize(8, 0);
+        temp.resize(0, false);
+        temp.resize(8, false);
         for (uint32_t i = 0; i < packet->GetSize(); i++)
         {
             for (uint8_t l = 0; l < 8; l++)
@@ -593,7 +593,7 @@
         if (j == 1 && m_paddingBits > 0) // last block can be smaller than block size
         {
             fecBlock = Bvec(buffer.begin() + i, buffer.end());
-            fecBlock.resize(m_blockSize, 0);
+            fecBlock.resize(m_blockSize, false);
         }
         else
         {
@@ -677,7 +677,7 @@
     double fecCode = 0;
     GetModulationFecParams(modulationType, bitsPerSymbol, fecCode);
     double symbolsPerSecond = 1 / GetSymbolDuration().GetSeconds();
-    uint16_t bitsTransmittedPerSymbol = (uint16_t)(bitsPerSymbol * GetNrCarriers() * fecCode);
+    auto bitsTransmittedPerSymbol = (uint16_t)(bitsPerSymbol * GetNrCarriers() * fecCode);
     // 96, 192, 288, 384, 576, 767 and 864 bits per symbol for the seven modulations, respectively
 
     return (uint32_t)symbolsPerSecond * bitsTransmittedPerSymbol;
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.39/src/wimax/model/simple-ofdm-wimax-phy.h ns-3.40/src/wimax/model/simple-ofdm-wimax-phy.h
--- ns-3.39/src/wimax/model/simple-ofdm-wimax-phy.h	2023-07-05 14:23:48.137428500 -0700
+++ ns-3.40/src/wimax/model/simple-ofdm-wimax-phy.h	2023-09-27 13:30:37.930839800 -0700
@@ -22,6 +22,7 @@
 #define SIMPLE_OFDM_WIMAX_PHY_H
 
 #include "bvec.h"
+#include "snr-to-block-error-rate-manager.h"
 #include "wimax-connection.h"
 #include "wimax-phy.h"
 
@@ -29,7 +30,6 @@
 #include "ns3/event-id.h"
 #include "ns3/nstime.h"
 #include "ns3/random-variable-stream.h"
-#include "ns3/snr-to-block-error-rate-manager.h"
 
 #include <list>
 #include <stdint.h>
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.39/src/wimax/model/snr-to-block-error-rate-manager.cc ns-3.40/src/wimax/model/snr-to-block-error-rate-manager.cc
--- ns-3.39/src/wimax/model/snr-to-block-error-rate-manager.cc	2023-07-05 14:23:48.137428500 -0700
+++ ns-3.40/src/wimax/model/snr-to-block-error-rate-manager.cc	2023-09-27 13:30:37.930839800 -0700
@@ -18,13 +18,13 @@
  *                              <amine.ismail@udcast.com>
  */
 
-#include "ns3/snr-to-block-error-rate-manager.h"
+#include "snr-to-block-error-rate-manager.h"
 
 #include "default-traces.h"
+#include "snr-to-block-error-rate-record.h"
 
 #include "ns3/assert.h"
 #include "ns3/log.h"
-#include "ns3/snr-to-block-error-rate-record.h"
 
 #include <cstring>
 #include <fstream>
@@ -59,9 +59,7 @@
 {
     for (int i = 0; i < 7; i++)
     {
-        for (std::vector<SNRToBlockErrorRateRecord*>::iterator iter =
-                 m_recordModulation[i]->begin();
-             iter != m_recordModulation[i]->end();
+        for (auto iter = m_recordModulation[i]->begin(); iter != m_recordModulation[i]->end();
              ++iter)
         {
             if (*iter)
@@ -107,12 +105,12 @@
         while (traceFile.good())
         {
             traceFile >> snrValue >> bitErrorRate >> burstErrorRate >> sigma2 >> I1 >> I2;
-            SNRToBlockErrorRateRecord* record = new SNRToBlockErrorRateRecord(snrValue,
-                                                                              bitErrorRate,
-                                                                              burstErrorRate,
-                                                                              sigma2,
-                                                                              I1,
-                                                                              I2);
+            auto record = new SNRToBlockErrorRateRecord(snrValue,
+                                                        bitErrorRate,
+                                                        burstErrorRate,
+                                                        sigma2,
+                                                        I1,
+                                                        I2);
             m_recordModulation[i]->push_back(record);
         }
         traceFile.close();
@@ -138,7 +136,7 @@
         sigma2 = modulation0[3][j];
         I1 = modulation0[4][j];
         I2 = modulation0[5][j];
-        SNRToBlockErrorRateRecord* record =
+        auto record =
             new SNRToBlockErrorRateRecord(snrValue, bitErrorRate, burstErrorRate, sigma2, I1, I2);
         m_recordModulation[0]->push_back(record);
     }
@@ -150,7 +148,7 @@
         sigma2 = modulation1[3][j];
         I1 = modulation1[4][j];
         I2 = modulation1[5][j];
-        SNRToBlockErrorRateRecord* record =
+        auto record =
             new SNRToBlockErrorRateRecord(snrValue, bitErrorRate, burstErrorRate, sigma2, I1, I2);
         m_recordModulation[1]->push_back(record);
     }
@@ -162,7 +160,7 @@
         sigma2 = modulation2[3][j];
         I1 = modulation2[4][j];
         I2 = modulation2[5][j];
-        SNRToBlockErrorRateRecord* record =
+        auto record =
             new SNRToBlockErrorRateRecord(snrValue, bitErrorRate, burstErrorRate, sigma2, I1, I2);
         m_recordModulation[2]->push_back(record);
     }
@@ -174,7 +172,7 @@
         sigma2 = modulation3[3][j];
         I1 = modulation3[4][j];
         I2 = modulation3[5][j];
-        SNRToBlockErrorRateRecord* record =
+        auto record =
             new SNRToBlockErrorRateRecord(snrValue, bitErrorRate, burstErrorRate, sigma2, I1, I2);
         m_recordModulation[3]->push_back(record);
     }
@@ -186,7 +184,7 @@
         sigma2 = modulation4[3][j];
         I1 = modulation4[4][j];
         I2 = modulation4[5][j];
-        SNRToBlockErrorRateRecord* record =
+        auto record =
             new SNRToBlockErrorRateRecord(snrValue, bitErrorRate, burstErrorRate, sigma2, I1, I2);
         m_recordModulation[4]->push_back(record);
     }
@@ -198,7 +196,7 @@
         sigma2 = modulation5[3][j];
         I1 = modulation5[4][j];
         I2 = modulation5[5][j];
-        SNRToBlockErrorRateRecord* record =
+        auto record =
             new SNRToBlockErrorRateRecord(snrValue, bitErrorRate, burstErrorRate, sigma2, I1, I2);
         m_recordModulation[5]->push_back(record);
     }
@@ -210,7 +208,7 @@
         sigma2 = modulation6[3][j];
         I1 = modulation6[4][j];
         I2 = modulation6[5][j];
-        SNRToBlockErrorRateRecord* record =
+        auto record =
             new SNRToBlockErrorRateRecord(snrValue, bitErrorRate, burstErrorRate, sigma2, I1, I2);
         m_recordModulation[6]->push_back(record);
     }
@@ -246,12 +244,12 @@
         while (traceFile.good())
         {
             traceFile >> snrValue >> bitErrorRate >> burstErrorRate >> sigma2 >> I1 >> I2;
-            SNRToBlockErrorRateRecord* record = new SNRToBlockErrorRateRecord(snrValue,
-                                                                              bitErrorRate,
-                                                                              burstErrorRate,
-                                                                              sigma2,
-                                                                              I1,
-                                                                              I2);
+            auto record = new SNRToBlockErrorRateRecord(snrValue,
+                                                        bitErrorRate,
+                                                        burstErrorRate,
+                                                        sigma2,
+                                                        I1,
+                                                        I2);
 
             m_recordModulation[i]->push_back(record);
         }
@@ -349,8 +347,7 @@
     double I1 = coeff2 * (record->at(i - 1)->GetI1()) + coeff1 * (record->at(i)->GetI1());
     double I2 = coeff2 * (record->at(i - 1)->GetI2()) + coeff1 * (record->at(i)->GetI2());
 
-    SNRToBlockErrorRateRecord* SNRToBlockErrorRate =
-        new SNRToBlockErrorRateRecord(SNR, BER, BlcER, sigma2, I1, I2);
+    auto SNRToBlockErrorRate = new SNRToBlockErrorRateRecord(SNR, BER, BlcER, sigma2, I1, I2);
     return SNRToBlockErrorRate;
 }
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.39/src/wimax/model/snr-to-block-error-rate-manager.h ns-3.40/src/wimax/model/snr-to-block-error-rate-manager.h
--- ns-3.39/src/wimax/model/snr-to-block-error-rate-manager.h	2023-07-05 14:23:48.137428500 -0700
+++ ns-3.40/src/wimax/model/snr-to-block-error-rate-manager.h	2023-09-27 13:30:37.930839800 -0700
@@ -21,8 +21,9 @@
 #ifndef SNR_TO_BLOCK_ERROR_RATE_MANAGER_H
 #define SNR_TO_BLOCK_ERROR_RATE_MANAGER_H
 
+#include "snr-to-block-error-rate-record.h"
+
 #include "ns3/ptr.h"
-#include "ns3/snr-to-block-error-rate-record.h"
 
 #include <vector>
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.39/src/wimax/model/snr-to-block-error-rate-record.cc ns-3.40/src/wimax/model/snr-to-block-error-rate-record.cc
--- ns-3.39/src/wimax/model/snr-to-block-error-rate-record.cc	2023-07-05 14:23:48.137428500 -0700
+++ ns-3.40/src/wimax/model/snr-to-block-error-rate-record.cc	2023-09-27 13:30:37.930839800 -0700
@@ -18,7 +18,7 @@
  *                              <amine.ismail@udcast.com>
  */
 
-#include "ns3/snr-to-block-error-rate-record.h"
+#include "snr-to-block-error-rate-record.h"
 
 #include "ns3/assert.h"
 #include "ns3/simulator.h"
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.39/src/wimax/model/ss-manager.cc ns-3.40/src/wimax/model/ss-manager.cc
--- ns-3.39/src/wimax/model/ss-manager.cc	2023-07-05 14:23:48.137428500 -0700
+++ ns-3.40/src/wimax/model/ss-manager.cc	2023-09-27 13:30:37.930839800 -0700
@@ -48,8 +48,7 @@
 
 SSManager::~SSManager()
 {
-    for (std::vector<SSRecord*>::iterator iter = m_ssRecords->begin(); iter != m_ssRecords->end();
-         ++iter)
+    for (auto iter = m_ssRecords->begin(); iter != m_ssRecords->end(); ++iter)
     {
         delete *iter;
     }
@@ -60,7 +59,7 @@
 SSRecord*
 SSManager::CreateSSRecord(const Mac48Address& macAddress)
 {
-    SSRecord* ssRecord = new SSRecord(macAddress);
+    auto ssRecord = new SSRecord(macAddress);
     m_ssRecords->push_back(ssRecord);
     return ssRecord;
 }
@@ -68,8 +67,7 @@
 SSRecord*
 SSManager::GetSSRecord(const Mac48Address& macAddress) const
 {
-    for (std::vector<SSRecord*>::iterator iter = m_ssRecords->begin(); iter != m_ssRecords->end();
-         ++iter)
+    for (auto iter = m_ssRecords->begin(); iter != m_ssRecords->end(); ++iter)
     {
         if ((*iter)->GetMacAddress() == macAddress)
         {
@@ -84,8 +82,7 @@
 SSRecord*
 SSManager::GetSSRecord(Cid cid) const
 {
-    for (std::vector<SSRecord*>::iterator iter1 = m_ssRecords->begin(); iter1 != m_ssRecords->end();
-         ++iter1)
+    for (auto iter1 = m_ssRecords->begin(); iter1 != m_ssRecords->end(); ++iter1)
     {
         SSRecord* ssRecord = *iter1;
         if (ssRecord->GetBasicCid() == cid || ssRecord->GetPrimaryCid() == cid)
@@ -95,7 +92,7 @@
         else
         {
             std::vector<ServiceFlow*> sf = ssRecord->GetServiceFlows(ServiceFlow::SF_TYPE_ALL);
-            for (std::vector<ServiceFlow*>::iterator iter2 = sf.begin(); iter2 != sf.end(); ++iter2)
+            for (auto iter2 = sf.begin(); iter2 != sf.end(); ++iter2)
             {
                 if ((*iter2)->GetConnection()->GetCid() == cid)
                 {
@@ -118,8 +115,7 @@
 bool
 SSManager::IsInRecord(const Mac48Address& macAddress) const
 {
-    for (std::vector<SSRecord*>::iterator iter = m_ssRecords->begin(); iter != m_ssRecords->end();
-         ++iter)
+    for (auto iter = m_ssRecords->begin(); iter != m_ssRecords->end(); ++iter)
     {
         if ((*iter)->GetMacAddress() == macAddress)
         {
@@ -140,8 +136,7 @@
 void
 SSManager::DeleteSSRecord(Cid cid)
 {
-    for (std::vector<SSRecord*>::iterator iter1 = m_ssRecords->begin(); iter1 != m_ssRecords->end();
-         ++iter1)
+    for (auto iter1 = m_ssRecords->begin(); iter1 != m_ssRecords->end(); ++iter1)
     {
         SSRecord* ssRecord = *iter1;
         if (ssRecord->GetBasicCid() == cid || ssRecord->GetPrimaryCid() == cid)
@@ -152,8 +147,7 @@
         else
         {
             std::vector<ServiceFlow*> sf = ssRecord->GetServiceFlows(ServiceFlow::SF_TYPE_ALL);
-            for (std::vector<ServiceFlow*>::const_iterator iter2 = sf.begin(); iter2 != sf.end();
-                 ++iter2)
+            for (auto iter2 = sf.begin(); iter2 != sf.end(); ++iter2)
             {
                 if ((*iter2)->GetConnection()->GetCid() == cid)
                 {
@@ -181,8 +175,7 @@
 SSManager::GetNRegisteredSSs() const
 {
     uint32_t nrSS = 0;
-    for (std::vector<SSRecord*>::iterator iter = m_ssRecords->begin(); iter != m_ssRecords->end();
-         ++iter)
+    for (auto iter = m_ssRecords->begin(); iter != m_ssRecords->end(); ++iter)
     {
         if ((*iter)->GetRangingStatus() == WimaxNetDevice::RANGING_STATUS_SUCCESS)
         {
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.39/src/wimax/model/ss-net-device.cc ns-3.40/src/wimax/model/ss-net-device.cc
--- ns-3.39/src/wimax/model/ss-net-device.cc	2023-07-05 14:23:48.137428500 -0700
+++ ns-3.40/src/wimax/model/ss-net-device.cc	2023-09-27 13:30:37.930839800 -0700
@@ -1089,9 +1089,7 @@
 
                     // DEFRAGMENTATION
                     NS_LOG_INFO("\t SS PACKET DEFRAGMENTATION" << std::endl);
-                    for (std::list<Ptr<const Packet>>::const_iterator iter = fragmentsQueue.begin();
-                         iter != fragmentsQueue.end();
-                         ++iter)
+                    for (auto iter = fragmentsQueue.begin(); iter != fragmentsQueue.end(); ++iter)
                     {
                         // Create the whole Packet
                         fullPacket->AddAtEnd(*iter);
@@ -1146,8 +1144,7 @@
     m_baseStationId = dlmap.GetBaseStationId();
     std::list<OfdmDlMapIe> dlMapElements = dlmap.GetDlMapElements();
 
-    for (std::list<OfdmDlMapIe>::iterator iter = dlMapElements.begin(); iter != dlMapElements.end();
-         ++iter)
+    for (auto iter = dlMapElements.begin(); iter != dlMapElements.end(); ++iter)
     {
         if (iter->GetDiuc() == OfdmDlBurstProfile::DIUC_END_OF_MAP)
         {
@@ -1180,8 +1177,7 @@
     std::list<OfdmUlMapIe> ulMapElements = ulmap.GetUlMapElements();
     m_linkManager->SetRangingIntervalFound(false);
 
-    for (std::list<OfdmUlMapIe>::iterator iter = ulMapElements.begin(); iter != ulMapElements.end();
-         ++iter)
+    for (auto iter = ulMapElements.begin(); iter != ulMapElements.end(); ++iter)
     {
         OfdmUlMapIe ulMapIe = *iter;
 
@@ -1282,9 +1278,7 @@
 
     std::vector<OfdmDlBurstProfile> dlBurstProfiles = dcd.GetDlBurstProfiles();
 
-    for (std::vector<OfdmDlBurstProfile>::iterator iter = dlBurstProfiles.begin();
-         iter != dlBurstProfiles.end();
-         ++iter)
+    for (auto iter = dlBurstProfiles.begin(); iter != dlBurstProfiles.end(); ++iter)
     {
         OfdmDlBurstProfile brstProfile = *iter;
 
@@ -1319,9 +1313,7 @@
 
     std::vector<OfdmUlBurstProfile> ulBurstProfiles = ucd.GetUlBurstProfiles();
 
-    for (std::vector<OfdmUlBurstProfile>::iterator iter = ulBurstProfiles.begin();
-         iter != ulBurstProfiles.end();
-         ++iter)
+    for (auto iter = ulBurstProfiles.begin(); iter != ulBurstProfiles.end(); ++iter)
     {
         OfdmUlBurstProfile brstProfile = *iter;
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.39/src/wimax/model/ss-net-device.h ns-3.40/src/wimax/model/ss-net-device.h
--- ns-3.39/src/wimax/model/ss-net-device.h	2023-07-05 14:23:48.137428500 -0700
+++ ns-3.40/src/wimax/model/ss-net-device.h	2023-09-27 13:30:37.930839800 -0700
@@ -23,12 +23,12 @@
 #define WIMAX_SS_NET_DEVICE_H
 
 #include "ipcs-classifier.h"
+#include "ss-service-flow-manager.h"
 #include "wimax-mac-header.h"
 #include "wimax-net-device.h"
 
 #include "ns3/event-id.h"
 #include "ns3/nstime.h"
-#include "ns3/ss-service-flow-manager.h"
 #include "ns3/uinteger.h"
 
 namespace ns3
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.39/src/wimax/model/ss-record.cc ns-3.40/src/wimax/model/ss-record.cc
--- ns-3.39/src/wimax/model/ss-record.cc	2023-07-05 14:23:48.137428500 -0700
+++ ns-3.40/src/wimax/model/ss-record.cc	2023-09-27 13:30:37.930839800 -0700
@@ -64,7 +64,7 @@
 
     m_serviceFlows = new std::vector<ServiceFlow*>();
     m_dsaRsp = DsaRsp();
-    m_broadcast = 0;
+    m_broadcast = false;
 }
 
 SSRecord::~SSRecord()
@@ -233,9 +233,7 @@
 SSRecord::GetServiceFlows(ServiceFlow::SchedulingType schedulingType) const
 {
     std::vector<ServiceFlow*> tmpServiceFlows;
-    for (std::vector<ServiceFlow*>::iterator iter = m_serviceFlows->begin();
-         iter != m_serviceFlows->end();
-         ++iter)
+    for (auto iter = m_serviceFlows->begin(); iter != m_serviceFlows->end(); ++iter)
     {
         if (((*iter)->GetSchedulingType() == schedulingType) ||
             (schedulingType == ServiceFlow::SF_TYPE_ALL))
@@ -261,9 +259,7 @@
 bool
 SSRecord::GetHasServiceFlowUgs() const
 {
-    for (std::vector<ServiceFlow*>::iterator iter = m_serviceFlows->begin();
-         iter != m_serviceFlows->end();
-         ++iter)
+    for (auto iter = m_serviceFlows->begin(); iter != m_serviceFlows->end(); ++iter)
     {
         if ((*iter)->GetSchedulingType() == ServiceFlow::SF_TYPE_UGS)
         {
@@ -276,9 +272,7 @@
 bool
 SSRecord::GetHasServiceFlowRtps() const
 {
-    for (std::vector<ServiceFlow*>::iterator iter = m_serviceFlows->begin();
-         iter != m_serviceFlows->end();
-         ++iter)
+    for (auto iter = m_serviceFlows->begin(); iter != m_serviceFlows->end(); ++iter)
     {
         if ((*iter)->GetSchedulingType() == ServiceFlow::SF_TYPE_RTPS)
         {
@@ -291,9 +285,7 @@
 bool
 SSRecord::GetHasServiceFlowNrtps() const
 {
-    for (std::vector<ServiceFlow*>::iterator iter = m_serviceFlows->begin();
-         iter != m_serviceFlows->end();
-         ++iter)
+    for (auto iter = m_serviceFlows->begin(); iter != m_serviceFlows->end(); ++iter)
     {
         if ((*iter)->GetSchedulingType() == ServiceFlow::SF_TYPE_NRTPS)
         {
@@ -306,9 +298,7 @@
 bool
 SSRecord::GetHasServiceFlowBe() const
 {
-    for (std::vector<ServiceFlow*>::iterator iter = m_serviceFlows->begin();
-         iter != m_serviceFlows->end();
-         ++iter)
+    for (auto iter = m_serviceFlows->begin(); iter != m_serviceFlows->end(); ++iter)
     {
         if ((*iter)->GetSchedulingType() == ServiceFlow::SF_TYPE_BE)
         {
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.39/src/wimax/model/ss-scheduler.cc ns-3.40/src/wimax/model/ss-scheduler.cc
--- ns-3.39/src/wimax/model/ss-scheduler.cc	2023-07-05 14:23:48.137428500 -0700
+++ ns-3.40/src/wimax/model/ss-scheduler.cc	2023-09-27 13:30:37.930839800 -0700
@@ -167,8 +167,6 @@
 SSScheduler::SelectConnection()
 {
     Time currentTime = Simulator::Now();
-    std::vector<ServiceFlow*>::const_iterator iter;
-    std::vector<ServiceFlow*> serviceFlows;
 
     NS_LOG_INFO("SS Scheduler: Selecting connection...");
     if (m_ss->GetInitialRangingConnection()->HasPackets())
@@ -187,8 +185,8 @@
         return m_ss->GetPrimaryConnection();
     }
 
-    serviceFlows = m_ss->GetServiceFlowManager()->GetServiceFlows(ServiceFlow::SF_TYPE_UGS);
-    for (iter = serviceFlows.begin(); iter != serviceFlows.end(); ++iter)
+    auto serviceFlows = m_ss->GetServiceFlowManager()->GetServiceFlows(ServiceFlow::SF_TYPE_UGS);
+    for (auto iter = serviceFlows.begin(); iter != serviceFlows.end(); ++iter)
     {
         // making sure that this grant was actually intended for this UGS
 
@@ -206,7 +204,7 @@
      hence this function will never be called. */
 
     serviceFlows = m_ss->GetServiceFlowManager()->GetServiceFlows(ServiceFlow::SF_TYPE_RTPS);
-    for (iter = serviceFlows.begin(); iter != serviceFlows.end(); ++iter)
+    for (auto iter = serviceFlows.begin(); iter != serviceFlows.end(); ++iter)
     {
         if ((*iter)->HasPackets(MacHeaderType::HEADER_TYPE_GENERIC) &&
             (currentTime + m_ss->GetPhy()->GetFrameDuration() >
@@ -219,7 +217,7 @@
     }
 
     serviceFlows = m_ss->GetServiceFlowManager()->GetServiceFlows(ServiceFlow::SF_TYPE_NRTPS);
-    for (iter = serviceFlows.begin(); iter != serviceFlows.end(); ++iter)
+    for (auto iter = serviceFlows.begin(); iter != serviceFlows.end(); ++iter)
     {
         if ((*iter)->HasPackets(MacHeaderType::HEADER_TYPE_GENERIC))
         {
@@ -230,7 +228,7 @@
     }
 
     serviceFlows = m_ss->GetServiceFlowManager()->GetServiceFlows(ServiceFlow::SF_TYPE_BE);
-    for (iter = serviceFlows.begin(); iter != serviceFlows.end(); ++iter)
+    for (auto iter = serviceFlows.begin(); iter != serviceFlows.end(); ++iter)
     {
         if ((*iter)->HasPackets(MacHeaderType::HEADER_TYPE_GENERIC))
         {
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.39/src/wimax/model/ss-service-flow-manager.cc ns-3.40/src/wimax/model/ss-service-flow-manager.cc
--- ns-3.39/src/wimax/model/ss-service-flow-manager.cc	2023-07-05 14:23:48.137428500 -0700
+++ ns-3.40/src/wimax/model/ss-service-flow-manager.cc	2023-09-27 13:30:37.930839800 -0700
@@ -105,7 +105,7 @@
 void
 SsServiceFlowManager::AddServiceFlow(ServiceFlow serviceFlow)
 {
-    ServiceFlow* sf = new ServiceFlow();
+    auto sf = new ServiceFlow();
     sf->CopyParametersFrom(serviceFlow);
     ServiceFlowManager::AddServiceFlow(sf);
 }
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.39/src/wimax/model/wimax-mac-queue.cc ns-3.40/src/wimax/model/wimax-mac-queue.cc
--- ns-3.39/src/wimax/model/wimax-mac-queue.cc	2023-07-05 14:23:48.137428500 -0700
+++ ns-3.40/src/wimax/model/wimax-mac-queue.cc	2023-09-27 13:30:37.930839800 -0700
@@ -438,8 +438,7 @@
 {
     QueueElement element;
 
-    for (std::deque<QueueElement>::const_iterator iter = m_queue.begin(); iter != m_queue.end();
-         ++iter)
+    for (auto iter = m_queue.begin(); iter != m_queue.end(); ++iter)
     {
         element = *iter;
         if (element.m_hdrType.GetType() == packetType)
@@ -456,7 +455,7 @@
 {
     QueueElement element;
 
-    for (std::deque<QueueElement>::iterator iter = m_queue.begin(); iter != m_queue.end(); ++iter)
+    for (auto iter = m_queue.begin(); iter != m_queue.end(); ++iter)
     {
         element = *iter;
         if (element.m_hdrType.GetType() == packetType)
@@ -498,8 +497,7 @@
 WimaxMacQueue::CheckForFragmentation(MacHeaderType::HeaderType packetType)
 {
     QueueElement element;
-    for (std::deque<QueueElement>::const_iterator iter = m_queue.begin(); iter != m_queue.end();
-         ++iter)
+    for (auto iter = m_queue.begin(); iter != m_queue.end(); ++iter)
     {
         element = *iter;
         if (element.m_hdrType.GetType() == packetType)
@@ -522,8 +520,7 @@
 WimaxMacQueue::GetFirstPacketHdrSize(MacHeaderType::HeaderType packetType)
 {
     QueueElement element;
-    for (std::deque<QueueElement>::const_iterator iter = m_queue.begin(); iter != m_queue.end();
-         ++iter)
+    for (auto iter = m_queue.begin(); iter != m_queue.end(); ++iter)
     {
         element = *iter;
         if (element.m_hdrType.GetType() == packetType)
@@ -559,8 +556,7 @@
 WimaxMacQueue::GetFirstPacketPayloadSize(MacHeaderType::HeaderType packetType)
 {
     QueueElement element;
-    for (std::deque<QueueElement>::const_iterator iter = m_queue.begin(); iter != m_queue.end();
-         ++iter)
+    for (auto iter = m_queue.begin(); iter != m_queue.end(); ++iter)
     {
         element = *iter;
         if (element.m_hdrType.GetType() == packetType)
@@ -601,7 +597,7 @@
 void
 WimaxMacQueue::SetFragmentation(MacHeaderType::HeaderType packetType)
 {
-    for (std::deque<QueueElement>::iterator iter = m_queue.begin(); iter != m_queue.end(); ++iter)
+    for (auto iter = m_queue.begin(); iter != m_queue.end(); ++iter)
     {
         if (iter->m_hdrType.GetType() == packetType)
         {
@@ -614,7 +610,7 @@
 void
 WimaxMacQueue::SetFragmentNumber(MacHeaderType::HeaderType packetType)
 {
-    for (std::deque<QueueElement>::iterator iter = m_queue.begin(); iter != m_queue.end(); ++iter)
+    for (auto iter = m_queue.begin(); iter != m_queue.end(); ++iter)
     {
         if (iter->m_hdrType.GetType() == packetType)
         {
@@ -627,7 +623,7 @@
 void
 WimaxMacQueue::SetFragmentOffset(MacHeaderType::HeaderType packetType, uint32_t offset)
 {
-    for (std::deque<QueueElement>::iterator iter = m_queue.begin(); iter != m_queue.end(); ++iter)
+    for (auto iter = m_queue.begin(); iter != m_queue.end(); ++iter)
     {
         if (iter->m_hdrType.GetType() == packetType)
         {
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.39/src/wimax/model/wimax-net-device.cc ns-3.40/src/wimax/model/wimax-net-device.cc
--- ns-3.39/src/wimax/model/wimax-net-device.cc	2023-07-05 14:23:48.137428500 -0700
+++ ns-3.40/src/wimax/model/wimax-net-device.cc	2023-09-27 13:30:37.930839800 -0700
@@ -517,7 +517,7 @@
     NS_LOG_DEBUG("WimaxNetDevice::Receive, station = " << GetMacAddress());
 
     Ptr<PacketBurst> b = burst->Copy();
-    for (std::list<Ptr<Packet>>::const_iterator iter = b->Begin(); iter != b->End(); ++iter)
+    for (auto iter = b->Begin(); iter != b->End(); ++iter)
     {
         Ptr<Packet> packet = *iter;
         DoReceive(packet);
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.39/src/wimax/model/wimax-phy.cc ns-3.40/src/wimax/model/wimax-phy.cc
--- ns-3.39/src/wimax/model/wimax-phy.cc	2023-07-05 14:23:48.137428500 -0700
+++ ns-3.40/src/wimax/model/wimax-phy.cc	2023-09-27 13:30:37.930839800 -0700
@@ -90,7 +90,7 @@
       m_psPerFrame(0),
       m_symbolsPerFrame(0)
 {
-    m_duplex = 0;
+    m_duplex = false;
     m_txFrequency = 0;
     m_rxFrequency = 0;
 }
